# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# 0.3.2 tag. But it contains submodules, so not enough for build, tarball created by script qutim.git
%global commit 6f3a98a5754889515f58c4262fdb5fbcf6b0f269
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		qutim
Version:		0.3.2
Release:		5%{?shortcommit:.git.%{shortcommit}}%{?dist}
Summary:		Multiprotocol (ICQ, Jabber, IRC etc) instant messenger with modern Qt4 interface
Summary(ru):	Мультиплатформенный, мультипротокольный (ICQ, Jabber, IRC...) мессенджер на QT4
License:		GPLv3+ and CC-BY-SA
Group:		Applications/Internet
Url:			http://www.qutim.org/

# 0.3.2 tag. But it contains submodules, so not enough for build, tarball created by script qutim.git
%if 0%{?shortcommit:1}
Source0:		qutim.git.%{shortcommit}.tar.xz
%else
# 0.3.2 tag. But it contains submodules, so not enough for build
Source0:		https://qutim.org/dwnl/68/qutim-0.3.2.tar.xz
%endif

Source1:		%{name}.git
Source2:		%{name}.desktop

# Pull request: https://github.com/gorthauer/QtDockTile/pull/10
Patch0:		qutim-0.3.2-qtdocktile-cmake-CMP0002-old.patch

#? Requires:		hicolor-icon-theme,
Requires:		qca-ossl, qca-cyrus-sasl, qca-gnupg
BuildRequires:	qca2-devel, qt-mobility-devel, dbusmenu-qt-devel
BuildRequires:	cmake >= 2.6, desktop-file-utils
BuildRequires:	qt-devel >= 1:4.7.1, libidn-devel, dos2unix, libpurple-devel
BuildRequires:	jreen-devel >= 1.1.0, attica-devel, phonon-devel, hunspell-devel
BuildRequires:	aspell-devel, SDL_mixer-devel, qt-webkit-devel
BuildRequires:	libXScrnSaver-devel, kdelibs-devel, libqxt-devel, libotr-devel, doxygen

# Filter out plugins from provides/requires
%global __provides_exclude_from ^%{_libdir}/qutim
# Use define to delay evaluation
%define __requires_exclude ^%(cat %{_builddir}/%{?buildsubdir}/plugins.list)

%description
qutIM - free open-source multiprotocol ( ICQ, Jabber/GTalk/
/Ya.Online/LiveJournal.com, Mail.Ru, IRC ) instant messenger for
Windows and Linux systems.

%description -l ru
qutIM - Открытый мультипротокольный (уже поддерживаются:
ICQ, Jabber, GTalk, Ya.Online, LiveJournal.com, Mail.Ru, IRC клиент
обмена сообщениями для Linux и Windows.
Написан с нуля и призван быть лёгким, простым, быстрым, красивым и
расширяемым за счёт модулей-плагинов.

%package		kde
Summary:		KDE integration of %{name}
Group:		Applications/Internet
Requires:		%{name} = %{version}-%{release}

%description	kde
KDE integration support of %{name}.

%description	kde
KDE integration support of %{name}

%description -l ru kde
Интеграция %{name} с КДЕ.

%package		quetzal
Summary:		Support of protocols from libpurple
Group:		Applications/Internet
Requires:		%{name} = %{version}-%{release}

%description	quetzal
Add support all protocols what libpurple support (Msn, Yahoo etc).

It automatically use all configured in system accounts from IM which also use
this library (f.e. Pidgin). So, using of such programs will mutial exclusion
in runtime!

%description -l ru	quetzal
Добавляет поддержку всех протоколов которые поддерживает библиотека libpurple,
таких как Msn, Yahoo и др.

Плагин автоматически использует сконфигурированные в системе профили таких
протоколов из других программ (например из Pidgin) поэтому использование их
одновременно из разных программ будет невозможно!

%package		devel
Summary:		Headers for %{name}
Group:		Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		cmake

%description	devel
Headers for %{name}.

%prep
%setup -q -n %{name}.%{shortcommit}

# Jreen is shared, do not use bundled
rm -rf ./protocols/jabber/jreen ./plugins/plugman/3rdparty ./protocols/oscar/3rdparty ./core/3rdparty/qxt
# ./protocols/mrim/src/3rdparty is not library, just part of code with compatable license and it may be leaved
# http://lists.fedoraproject.org/pipermail/devel/2012-January/161312.html

# Fix source files permissions to do not rpm complain spurious-executable-perm on -debuginfo sub package
#? find \( -name '*.cpp' -or -name '*.h' \) -and -executable -exec chmod -x {} \;

%patch0 -p0 -b .CMP002.old

%build
# Plugman is not ready, turned off by speak with Elessar
%{cmake_kde4} -DCMAKE_SKIP_RPATH:BOOL=ON -DSYSTEM_JREEN=ON -DPLUGMAN=off -DASTRAL=off -DOFFTHERECORD=OFF .

make %{?_smp_mflags}

%install
make install DESTDIR="%{buildroot}" INSTALL="install -p"

desktop-file-install \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{SOURCE2}

# Delete Ubuntu-related auto installed files:
rm -rf %{buildroot}/%{_datadir}/icons/ubuntu-*

# Create list of plugins for __requires_exclude
find %{buildroot}/%{_libdir}/qutim -name \*.so -printf '%f|' | sed -e 's/|$//' > plugins.list

%clean

%post
touch --no-create %{_datadir}/icons/hicolor
	if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
	fi

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING AUTHORS CCBYSA GPL README.mediawiki
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/plugins/libkdeintegration.so
%exclude %{_libdir}/%{name}/plugins/libquetzal.so
%{_libdir}/lib*.so.*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/places/user-identity.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/status/*%{name}*.svg
%{_datadir}/pixmaps/%{name}.xpm
%{_qt4_importdir}/org/docktile/qmldir

%files kde
%{_libdir}/%{name}/plugins/libkdeintegration.so
%{_kde4_appsdir}/desktoptheme/default/icons/%{name}.svg

%files quetzal
%{_libdir}/%{name}/plugins/libquetzal.so

%files devel
%{_includedir}/%{name}
%{_includedir}/QtDockTile
%{_datadir}/cmake/Modules/*.cmake
%{_libdir}/lib*.so
%{_qt4_importdir}/org/docktile/libqmldocktileplugin.so
%{_qt4_plugindir}/docktile/libunityplugin.so
%{_libdir}/pkgconfig/qtdocktile.pc

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5.git.6f3a98a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.2-4.git.6f3a98a
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3.git.6f3a98a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2.git.6f3a98a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 3 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.2-1.git.6f3a98a
- Ruslan fix build with new cmake. Git checkout from qt4 branch (from which tag 0.3.2 did made).
- Add Patch0: qutim-0.3.2-qtdocktile-cmake-CMP0002-old.patch
- Disable offtherecord plugin which is not compatable with new libotr version 4.0 (https://github.com/euroelessar/qutim/issues/298).

* Thu Feb 20 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.2-1
- Update to requested 0.3.2 tag with hope fixing few problems (asked in mail by Vladimir Lopatin and bz#1069437.).
- Changes by use github sources: https://fedoraproject.org/wiki/Packaging:SourceURL#Github.
- Add BR libotr-devel.
- Some cleanup.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Orion Poplawski <orion@cora.nwra.com> - 0.3.1-5
- Filter out plugins from provides/requires

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.1-3
- Add qca-cyrus-sasl and qca-gnupg runtime dependencies (bz#867789). Thanks to Ruslan Nigmatullin - qutim upstream author.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 30 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.1-1
- New version 0.3.1

* Sun Apr 8 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.0-3
- Made cmake patch compatable also with previous versions.

* Sat Apr 7 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.0-2
- Add BRs: qca2-devel, qt-mobility-devel, dbusmenu-qt-devel
	for build some plugins.
- Disable not working Astral plugin (by words of developer).
- Add patch to work on fresh cmake 2.8.8.

* Sun Apr 1 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.3.0-1
- Long awaited 0.3.0 release!
- Fixed segfault in Jabber.
- Add quetzal subpackage.

* Sat Mar 31 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.9999-1
- New version segfault in icq fixed.
- Delete oxygen icon, dd hicolor ant in kde one.

* Fri Mar 30 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.999-1
- Critical bug in libjreen fixed. Now 1.0.5 version required.
- cmake_kde4 macros used instead of just cmake.

* Thu Mar 29 2012 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.99-1
- Official prerelease.
- BR jreen set to >= 1.0.4 version (request to update bz#807634).
- Jreen landed to rawhide try build with it shared support.
- License changed to GPLv3+ and CC-BY-SA from GPLv2+ and CC-BY-SA.
- Long awaited update to 0.3.0.
- Gone most of subpackages. It is built from one source now and have not many profit.
- Introduce KDE subpackage as suggested by author to escalate additional dependencies.
- openssl and gnutls doesn't needed anymore, libqca2-plugin-ossl и libqca2-plugin-cyrus-sasl used now (R qca-ossl).
- Drop all patches.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-11
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 30 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-8
- plugin vkontakte from git 20100530: BZ#582476
- Add "git checkout origin/sdk02; git pull origin sdk02; git submodule update --init" in git checkout process.
- Add conditional BR qt-webkit-devel to build under rawhide (F14)

* Mon May 3 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-7
- plugin vkontakte from git: BZ#582476

* Mon Feb 22 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-6
- Mos of changes inspired by https://bugzilla.redhat.com/show_bug.cgi?id=494695#c41, thanks Christoph Wickert
- Description line length fit into 80 characters in qutim-plugman.
- Group of development package changed to Development/Libraries
- All %%descriptions ends with dot.
- Icons cache hadling updated.
- Preserve timestamps during install.

* Thu Jan 7 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-4
- Add Patch0 and Patch1 first to fix annoyed QT4-webkit bug, second to add /usr/lib64/qutim in plugins
	search paths ( https://bugzilla.redhat.com/show_bug.cgi?id=494695#c32 ). Both already in upstream (I was talked
	with developer) and it is only backport to 0.2.0 version.

* Tue Dec 15 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-2
- Delete comment what qt >= 4.0 not enought and qt3-devel-0:3.3.8b-14.fc9.i386 also satisfy this, and epoch needed.
	It outdated since Fedora 9 EOL reached.
- As it is release version, change Release enumeration to 1 digit.

* Sun Nov 29 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-1.21
- Directory %%{_libdir}/%%{name} marked as %%dir in main package
- Icon placed to /apps subdir of %%{_datadir}/icons/hicolor/16x16/

* Wed Nov 25 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-1.20
- Correct paths for plugin docs.
- Remove all icons macroses as suggested by Peter and change its installation paths.
- Own %%{_libdir}/%%{name}
- In devel own full %%{_includedir}/%%{name} and don't mention each file.

* Fri Nov 13 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-1.19
- Delete invoke of ldconfig, because it is nt needed if libraries placed not in %%{_libdir} directly. By words of Peter Lemenkov.
- Delete unused macros _liconsdir

* Wed Nov 11 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-1.18
- Add epoch 1 in gloox requires.

* Sun Nov 8 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2.0-1.17
- Update to long-awaited 0.2 release! But now it version enumerated as 0.2.0.
- Up BR gloox to 1.0-1 (release)
- Add new plugins - sub packages: histman, plugman, vkontakte, vkontakte, yandexnarod
- All incoming of %%{__make} replaced by direct make
- Delete BuildRoot tag - qutim is not intended to EPEL.
- Fedora review started - thanks to Peter Lemenkov.
- Fix source files permissions in %%prep to do not rpm compline spurious-executable-perm on -debuginfo sub package
- Add BR dos2unix and fix lineendings qtwin to avoid rpmlint complain wrong-script-end-of-line-encoding.
- Add Requires hicolor-icon-theme (for /usr/share/icons/hicolor/64x64/apps )
- Add Requires cmake ot -devel subpackage.
- Fill BUG on gloox http://bugs.camaya.net/horde/whups/ticket/?id=163 and to work around this problem add "-lpthread" flag to jabber-plugin options.

* Thu Oct 29 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.16.beta2SVN20091018
- Add %%{_hiconsdir}
- Replace %%{_icons64dir} by %%{_hiconsdir}/64x64/apps

* Tue Oct 20 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.15.beta2SVN20091018
- Rename package from qutIM to qutim and delete all dual names anywhere.

* Sun Oct 18 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.14.beta2SVN20091018
- Build against new gloox-1.0rc3-0.8.SVNr4204
- Close http://trac.qutim.org/task/258
- New checkout SVN20091018
- Correct checkout process, icq and jabber plugins now have traditional branches and trunk directories.
- Delete # Fix path. Come from alt. Needed for 64-bit systems
	sed -i 's|lib/%%{name}|%%{_lib}/%%{name}|g' CMakeLists.txt src/pluginsystem.cpp plugins/jabber/CMakeLists.txt
	with hope it is not needed anymore.
- Delete cmake_flags define. cmake invoke replaced by macro %%cmake
- Fill and wait close https://mail.camaya.net/horde/whups/ticket/?id=157
- Add to %%doc files: AUTHORS, CCBYSA, GPL
- License changed from GPLv2 to "GPLv2+ and CCBYSA" according to COPYING.
- Add %%post/%%postun for each plugin subpackage.
- Add -devel subpackage and put in it files:
	%%{_includedir}/%%{lname}/iconmanagerinterface.h
	%%{_includedir}/%%{lname}/layerinterface.h
	%%{_includedir}/%%{lname}/layerscity.h
	%%{_includedir}/%%{lname}/plugininterface.h
	%%{_includedir}/%%{lname}/protocolinterface.h
	%%{_includedir}/%%{lname}/settings.h
	%%{_datadir}/cmake/Modules/FindQutIM.cmake
	%%{_datadir}/cmake/Modules/qutimuic.cmake
- Delete all sed rpath-cmake hacks, it is handled no in %%cmake macros.
- Delete %%doc plugins/mrim/TODO.txt in mrim. File does not exist anymore.

* Sat Sep 5 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.13.beta2SVN20090716
- Beta2 build SVN20090716.

* Thu Jul 16 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.12.betaSVN20090716
- Beta release come.
- Use svn export instaed of checkout to prepare tarball.
- Replace "%%makeinstall DESTDIR=%%{buildroot}" by more preferable "makei nstall DESTDIR=%%{buildroot}"
- Delete patch qutim-0.2-alpha-GCC4.4_missing_include.patch (fixed in rev316, http://qutim.org/flyspray/task/10)
	Remove temporary hack with separate jabber-plugin in Source2

* Mon Apr 6 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.11.alphaSVN20080404
- Add "-l gloox" into CXXFLAGS when jabber plugin build. It is not linked with our shared library instead.
- Delete explicit Requires: libidn (inspired by rpmlint)

* Sun Apr 5 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.10.alphaSVN20080404
- We build 0.2 alpha. It is built, but do not installable due bug: http://bugs.camaya.net/horde/whups/ticket/?id=137 (qutIM
	ship with bundled copy of gloox library). After separate gloox into another RPM package, we have another bug:
	http://qutim.org/flyspray/task/13 . QutIM jabber plugin developer fixing that in revision 305, but it is not build because API in
	gloox and qutIM changed. So, we must checkout all.
- Checkouted from several sources, so using date instead of revision number.
- Add SVN part into Release.
- Mrim plugin buildsystem changed to cmake too (was qmake-qt4)
- Direct qmake-qt4 replaced by macros %%{_qt4_qmake}

* Fri Apr 3 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.9.alpha
- Due to the BUG: qutIM-jabber-SVNr305.tar.bz2 Jaber plugin is not installable. Author say it is fixed in revision 305.
	Add Source2: qutIM-jabber-SVNr305.tar.bz2
- Patch1 is not needed anymore. Disabled. In talk with autor he make decision support external shared gloog installation and build
	scripts now (rev 305 also) contain automatically detect support for it.

* Wed Apr 1 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.8.alpha
- Add Requires: libidn and BuildRequires: libidn-devel after talk with qutIM developer.

* Sat Mar 28 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.7.alpha
- Due to the previousli mentioned bug, and also similar which I fill ( https://mail.camaya.net/horde/whups/ticket/?id=137 ), and
	at all, it is not well bundle into this package common library. So, I make decision pack gloox separately. For that:
	o Add Requires: gloox >= 1.0 (in jabber subpackage) and BuildRequires: gloox-devel >= 1.0 in main package
	o Delete Patch1: qutim-0.2-alpha-gloox-DNS.patch
	o Remove dir rm -rf ./plugins/jabber/libs/ in %%prep
	o Add Patch qutim-0.2-alpha.cut-off-gloox.patch to remove additional source dependencies.

* Fri Mar 27 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.6.alpha
- Add Patch1: qutim-0.2-alpha-gloox-DNS.patch to resolv installation error (build sucsessfull):
	error: Failed dependencies:
		libresolv.so.2(GLIBC_PRIVATE) is needed by qutIM-jabber-0.2-0.5.alpha.fc9.i386

* Thu Mar 26 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.5.alpha
- Add %%{?dist} into release.

* Thu Mar 26 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.4.alpha
- Exclude common RPATH from binary. Comment out all rpath-related strings in CMakeLists.txt
- Delete delete (added before) manipulation with CMakeCache.txt

* Wed Mar 25 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.3.alpha
- Rpmlint inspired tuning in this release.
- Group changed from "Networking/Instant messaging" to Applications/Internet
- Add documentation COPYING in main package and TODO.txt into mrim. Can't found any other.

* Tue Mar 24 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.2.alpha
- Add Patch0: qutim-0.2-alpha-GCC4.4_missing_include.patch to build on GCC 4.4. Build on rawhide with recent version of gcc.
	Build on dist-f10 now sucsessful.

* Mon Mar 23 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.2-0.1.alpha
- Initial import from ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/files/SRPMS/qutim-0.2-alt5.alpha.src.rpm
	( http://sisyphus.ru/srpm/Sisyphus/qutim/get )
- Version enumeration changed to - 0.2-0.1.alpha
- License chaged from GPL2 to GPLv2
- Source: %%name-%%version.tar
	changed to URL: Source:	http://qutim.org/uploads/qutim_0.2_alpha_source.tar.bz2
- qutim-0.2-alt.patch transformed to qutIM.desktop Source1
- Reformat spec with tabs.
- Delete:
	o Epoch: 2 tag
	o name from summary.
	o explicit Provides:	%%cname = %%version
	o Obsoletes:	%%cname <= 0.1-alt1.20080620 - it is a first import into Fedora.
	o %%define cname qutIM and anywhere use %%name instead.
	o Packager: Evgenii Terechkov <evg@altlinux.org>
	o # Automatically added by buildreq on Sun Jun 15 2008: BuildRequires: gcc-c++ libqt4-devel cmake
	o %%define _unpackaged_files_terminate_build 1
	o install in "%%makeinstall DESTDIR=%%{buildroot} install"
- Replace:
	o %%def_without gnutls to %%bcond_without gnutls
	o %%def_with openssl to %%bcond_without openssl
	o "%%if %%{with gnutls}" instead of alt "%%if_with gnutls"
	o "%%if %%{with openssl}" instead of alt "%%if_with openssl"
	o Direct mention of qutIM in description to %%name
	o %%make_build to simple %%{__make}
	o BuildRequires: libssl-devel to BuildRequires: openssl-devel
	o BuildRequires: libgnutls-devel to BuildRequires: gnutls-devel
	o %%setup -n %%{name}-%%{version} to %%setup -qn %%( echo %%{name} | tr 'A-Z' 'a-z' )
	o %%prefix to %%{_prefix}
	o ln %%{buildroot}%%{_bindir}/%%{lname} %%{buildroot}%%{_bindir}/%%{name}
		to
		ln -s %%{lname} %%{buildroot}%%{_bindir}/%%{name}
- Add:
	o Summary(ru) and Description -l ru for all packages.
	o BuildRequires: cmake >= 2.6
	o -q key in %%setup macro
	o BR qt-devel >= 1:4.0
	o BuildRoot: %%{_tmppath}/%%{name}-%%{version}-%%{release}-root-%%(%%{__id_u} -n)
	o %%defattr(-, root, root, -) in each %%files section
	o %%{__rm} -rf %%{buildroot} in %%install section
	o %%clean section with "%%{__rm} -rf %%{buildroot}" content
	o #To avoid RPATH troubles: sed -i 's/CMAKE_SKIP_RPATH:BOOL=NO/CMAKE_SKIP_RPATH:BOOL=YES/' CMakeCache.txt
	o Requires(postun):	/sbin/ldconfig, Requires(post):	/sbin/ldconfig
		and Post & Postun sections with ldconfig and icon-cache update.
	o Define Jpackage (Mandriva) macroses: _miconsdir, _iconsdir, _liconsdir
- For consistent usage brackets all (name, version, optflags ...) %%name replaced by %%{name}
- Correcthandle .desktop file:
	o Add BR desktop-file-utils
	o Use desktop-file-install instead of simple copy file and use (undefined) %%{_desktopdir}
- Install jabber as other plugins, do not any exclusions (was separate %%makeinstall).

* Wed Mar 18 2009 Terechkov Evgenii <evg@altlinux.ru> 2:0.2-alt5.alpha
- Build with OpenSSL by default (seems like gmail works only with openssl)
- Split package to plugins subpackages

* Fri Mar 13 2009 Terechkov Evgenii <evg@altlinux.ru> 2:0.2-alt4.alpha
- Missed optflags and make_build ressurected (thanks to drool@ again)

* Fri Mar 13 2009 Terechkov Evgenii <evg@altlinux.ru> 2:0.2-alt3.alpha
- Build with Gnutls support (thanks to drool@)

* Mon Mar  9 2009 Terechkov Evgenii <evg@altlinux.ru> 2:0.2-alt2.alpha
- x86_64 build "fixed" (Authors is idiots)
- bin/%%cname compat hardlink added

* Sun Mar  8 2009 Terechkov Evgenii <evg@altlinux.ru> 2:0.2-alt1.alpha
- 0.2 alpha

* Thu Jan 22 2009 Terechkov Evgenii <evg@altlinux.ru> 2:0.1.1-alt2
- Migrate to "one alt patch" gear scheme
- Update spec to new filetriggers system

* Sun Aug 17 2008 Terechkov Evgenii <evg@altlinux.ru> 2:0.1.1-alt1
- 0.1.1

* Sun Aug 17 2008 Evgenii Terechkov <evg@altlinux.ru> 1:0.1-alt1.20080720
- Svn revision: exported

* Sun Jul 20 2008 Evgenii Terechkov <evg@altlinux.ru> 1:0.1-alt1.20080720
- Svn revision: 174

* Wed Jul 09 2008 Evgenii Terechkov <evg@altlinux.ru> 1:0.1-alt1.20080709
- Svn revision: 154

* Wed Jul  2 2008 Terechkov Evgenii <evg@altlinux.ru> 1:0.1-alt1.20080702
- svn-20080702

* Mon Jun 30 2008 Terechkov Evgenii <evg@altlinux.ru> 1:0.1-alt1.20080629
- svn-20080629

* Tue Jun 24 2008 Terechkov Evgenii <evg@altlinux.ru> 1:0.1-alt1.20080624
- Package name changed due changes in upstream
- buildflags added (fix #16149)
- svn-20080624

* Fri Jun 20 2008 Terechkov Evgenii <evg@altlinux.ru> 1:0.1-alt1.20080620
- svn-20080620

* Wed Jun 18 2008 Terechkov Evgenii <evg@altlinux.ru> 1:0.1-alt1.20080618
- svn-20080618
- Obsoleted Patch1 removed (fixed in upstream)

* Wed Jun 18 2008 Terechkov Evgenii <evg@altlinux.ru> 0.1-alt3
- README.ALT included in binary package

* Tue Jun 17 2008 Terechkov Evgenii <evg@altlinux.ru> 0.1-alt2
- Patch1 added to look for emoicons in common dir (to hiddenman@)
- README.ALT added

* Sun Jun 15 2008 Terechkov Evgenii <evg@altlinux.ru> 0.1-alt1
- Initial build for ALT Linux Sisyphus
